Bug 1827957 (python-sciunit) - Review Request: python-sciunit - Framework for test-driven validation of scientific models
Summary: Review Request: python-sciunit - Framework for test-driven validation of scie...
Keywords:
Status: CLOSED ERRATA
Alias: python-sciunit
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2020-04-25 21:44 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-05-16 03:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-16 03:10:39 UTC
Type: ---
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2020-04-25 21:44:37 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-sciunit/python-sciunit.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-sciunit/python-sciunit-0.2.2-1.fc32.src.rpm

Description:
A framework for validating scientific models by creating
experimental-data-driven unit tests.

Fedora Account System Username: ankursinha

Comment 1 Jerry James 2020-05-06 19:41:24 UTC
I will take this review.

Comment 2 Jerry James 2020-05-06 21:25:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

- The "%{?python_provide:%python_provide python3-%{pypi_name}}" line is not
  necessary when using %python_enable_dependency_generator.  Indeed, the
  Provides for the python3-sciunit package contain duplicates:

  python-sciunit = 0.2.2-1.fc33
  python-sciunit = 0.2.2-1.fc33
  python3-sciunit = 0.2.2-1.fc33
  python3.8dist(sciunit) = 0.2.2
  python38-sciunit = 0.2.2-1.fc33
  python38-sciunit = 0.2.2-1.fc33
  python3dist(sciunit) = 0.2.2

- The Summary for the doc subpackage is the same as for the main package.
  Is that intentional?  See the description-shorter-than-summary warning from
  rpmlint.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 64 files have unknown
     license. Detailed output of licensecheck in
     /home/jamesjer/1827957-python-sciunit/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-sciunit-0.2.2-1.fc33.noarch.rpm
          python-sciunit-doc-0.2.2-1.fc33.noarch.rpm
          python-sciunit-0.2.2-1.fc33.src.rpm
python3-sciunit.noarch: E: useless-provides python-sciunit
python3-sciunit.noarch: E: useless-provides python38-sciunit
python3-sciunit.noarch: W: no-manual-page-for-binary sciunit
python-sciunit-doc.noarch: W: description-shorter-than-summary
3 packages and 0 specfiles checked; 2 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-sciunit.noarch: E: useless-provides python-sciunit
python3-sciunit.noarch: E: useless-provides python38-sciunit
python3-sciunit.noarch: W: no-manual-page-for-binary sciunit
python-sciunit-doc.noarch: W: description-shorter-than-summary
2 packages and 0 specfiles checked; 2 errors, 2 warnings.



Source checksums
----------------
https://github.com/scidash/scidash/archive/1df0411e74ce35e5b6e748f81cf0159acedab201/scidash-1df0411.tar.gz :
  CHECKSUM(SHA256) this package     : 5b6d9abecfcb659da364e40aca18a60cf830f16f41040431982b6cd89df85c22
  CHECKSUM(SHA256) upstream package : 5b6d9abecfcb659da364e40aca18a60cf830f16f41040431982b6cd89df85c22
https://github.com/scidash/sciunit/archive/0.2.2/sciunit-0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : fc14ed435ae195439e299695c6d0106e43978f32f9beb51bcbe215850b253652
  CHECKSUM(SHA256) upstream package : fc14ed435ae195439e299695c6d0106e43978f32f9beb51bcbe215850b253652


Requires
--------
python3-sciunit (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.8dist(beautifulsoup4)
    python3.8dist(cerberus)
    python3.8dist(cypy)
    python3.8dist(gitpython)
    python3.8dist(ipykernel)
    python3.8dist(ipython)
    python3.8dist(lxml)
    python3.8dist(matplotlib)
    python3.8dist(nbconvert)
    python3.8dist(nbformat)
    python3.8dist(pandas)
    python3.8dist(quantities)
    python3.8dist(setuptools)

python-sciunit-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-sciunit:
    python-sciunit
    python3-sciunit
    python3.8dist(sciunit)
    python38-sciunit
    python3dist(sciunit)

python-sciunit-doc:
    python-sciunit-doc



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1827957 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: Ocaml, Perl, PHP, Java, Haskell, R, Ruby, C/C++, fonts, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Ankur Sinha (FranciscoD) 2020-05-07 15:50:25 UTC
Thanks for the review, Jerry. I've updated the spec/srpm:

Spec URL: https://ankursinha.fedorapeople.org/python-sciunit/python-sciunit.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-sciunit/python-sciunit-0.2.2-1.fc32.src.rpm


* Thu May 07 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.2-1
- Update as per review comments #1827957
- Remove extra provides
- Improve description for doc sub package

Comment 4 Jerry James 2020-05-07 20:44:39 UTC
Looks good.  This package is APPROVED.

Comment 5 Gwyn Ciesla 2020-05-07 21:30:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-sciunit

Comment 6 Fedora Update System 2020-05-07 21:56:55 UTC
FEDORA-2020-ccfa271e67 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ccfa271e67

Comment 7 Fedora Update System 2020-05-07 21:56:55 UTC
FEDORA-2020-4505478011 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4505478011

Comment 8 Fedora Update System 2020-05-08 04:10:18 UTC
FEDORA-2020-ccfa271e67 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-ccfa271e67 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ccfa271e67

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-08 05:09:02 UTC
FEDORA-2020-4505478011 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-4505478011 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4505478011

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-16 03:10:39 UTC
FEDORA-2020-4505478011 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-05-16 03:39:10 UTC
FEDORA-2020-ccfa271e67 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.